itpp::ACK Class Reference

`#include <itpp/protocol/packet.h>`

Inheritance diagram for itpp::ACK:

## Public Member Functions

| ACK (const int Seq_no=-1, const int Id=0)
| ADD DOCUMENTATION HERE.
| ~ACK ()
| ADD DOCUMENTATION HERE.
void | set_bit_size (int packet_size)
| set size of packet in bits
int | bit_size ()
| get size of packet in bits

## Public Attributes

int | id
| ADD DOCUMENTATION HERE.
int | seq_no
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 117 of file packet.h.

## Constructor & Destructor Documentation

## ACK()

itpp::ACK::ACK | ( | const int | Seq_no = -1,
|  | const int | Id = 0 )

inline

ADD DOCUMENTATION HERE.

Definition at line 121 of file packet.h.

References seq_no.

## ~ACK()

itpp::ACK::~ACK | ( |  | ) |

inline

ADD DOCUMENTATION HERE.

Definition at line 124 of file packet.h.

## Member Function Documentation

## set_bit_size()

void itpp::Packet::set_bit_size | ( | int | packet_size | ) |

inline inherited

set size of packet in bits

Definition at line 64 of file packet.h.

References it_assert.

Referenced by Packet().

## bit_size()

int itpp::Packet::bit_size | ( |  | ) |

inline inherited

get size of packet in bits

Definition at line 67 of file packet.h.

Referenced by itpp::Front_Drop_Queue::pop(), itpp::Front_Drop_Queue::push(), and itpp::TCP_Server_Application::write_to_net().

## Member Data Documentation

## id

int itpp::ACK::id

ADD DOCUMENTATION HERE.

Definition at line 127 of file packet.h.

## seq_no

int itpp::ACK::seq_no

ADD DOCUMENTATION HERE.

Definition at line 129 of file packet.h.

Referenced by ACK().

The documentation for this class was generated from the following file:

- itpp/protocol/packet.h

Generated on for IT++ by Doxygen 1.15.0